When viewing /start/ tells need of upgrade

RESOLVED WORKSFORME

Status

mozilla.org
Miscellaneous
--
minor
RESOLVED WORKSFORME
15 years ago
15 years ago

People

(Reporter: Jeff Johnson, Assigned: Daniel (Leaf) Nunes)

Tracking

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3a) Gecko/20021207 Phoenix/0.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3a) Gecko/20021207 Phoenix/0.5

When you run Phoenix 0.5 (and i guess lower) and you go to
the /start/ site you see: Hey! You're using an old version of Mozilla. We can
really use your help testing Mozilla 1.3b. Download it now! Thanks!

also add something like this for Phoenix when a new version is released for it.

Reproducible: Always

Steps to Reproduce:
1. Run Phoenix
2. Go to http://www.mozilla.org/start/


Actual Results:  
i saw http://www.mozilla.org/start/

Expected Results:  
added an extra if() statement for phoenix
(Reporter)

Comment 1

15 years ago
Created attachment 114528 [details] [diff] [review]
Replacement script that adds suport for phoenix

the included patch needs to go in /start/[start file]
its the whole script.
some things in the patch may not work because i dont know the agent strings
for some os's and i dont know to much javascript.

Comment 2

15 years ago
reassigning to leaf, dawn as QA

mitchell
Assignee: mitchell → leaf
QA Contact: mitchell → leaf
(Assignee)

Comment 3

15 years ago
Accepting.
Status: NEW → ASSIGNED

Comment 4

15 years ago
target 1.2b since there's nothing more current.
Target Milestone: --- → mozilla1.2beta

Updated

15 years ago
Target Milestone: mozilla1.2beta → ---

Updated

15 years ago
Depends on: 184770

Comment 5

15 years ago
-> worksforme

the start page works with Firebird 0.6 (UA = Mozilla/5.0 (Windows; U; Win98;
en-US; rv:1.4b) Gecko/20030516 Mozilla Firebird/0.6), and 0.5 is now an old
build ;-p
Status: ASSIGNED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.